# Stabs debuginfo not supported 
# Not generate those debuginfo for which rpm is looking for
%global debug_package %{nil}

Name:           transgui
Version:        3.2
Release:        5%{?dist}
Summary:        An App to remotely control a Transmission Bit-Torrent client  

Group:          Applications/Internet
License:        GPLv2+
URL:            https://code.google.com/p/transmisson-remote-gui/
Source0:        https://transmisson-remote-gui.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        %{name}.desktop
Source2:        %{name}.1

BuildRequires:  fpc
BuildRequires:  desktop-file-utils
BuildRequires:  lazarus
BuildRequires:  prelink

%description
Transmission Remote GUI is a feature rich cross platform front-end to remotely
control a Transmission Bit-Torrent client daemon via its RPC protocol. It is 
faster and has more functionality than the built-in Transmission web interface.

%prep
%setup -q -n TransGUI
sed -i "s|\r||g" readme.txt
sed -i "s|\r||g" rpc-spec.txt
sed -i "s|\r||g" LICENSE.txt


%build
make %{?_smp_mflags}
execstack -c %{name}

%install
install -pd $RPM_BUILD_ROOT/%{_bindir}
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}

#menu-entries
install -pdm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -pdm 755 $RPM_BUILD_ROOT%{_mandir}/man1
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -pd $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%doc readme.txt LICENSE.txt rpc-spec.txt VERSION.txt


%changelog
* Tue Nov 17 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.2-5
- Added man page and disabled debuginfo package

* Tue Nov 13 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.2-4
- Updated to new version and made some changes according to review

* Tue Oct 28 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-3.20111028svn638
- Updated to new revision

* Tue Apr 12 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-2.20110410svn604
- Fix Snapshot issue

* Sun Apr 10 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-1.20110410svn604
- Initial version of the package
